Macaulay2 » Documentation
Packages » MonomialAlgebras :: degrees(MonomialAlgebra)
next | previous | forward | backward | up | index | toc

# degrees(MonomialAlgebra) -- Generators of the degree monoid

- Function: degrees
- Usage:
    `degrees M`
- Inputs:
  - M, a MonomialAlgebra,
- Outputs:
  - a list,

## Description

Returns the generators of the degree monoid of M.

    i1 : M = monomialAlgebra {1,4,8,9,11}

          ZZ
    o1 = ---[x ..x ]
         101  0   5

    o1 : MonomialAlgebra generated by {{11, 0}, {0, 11}, {1, 10}, {4, 7}, {8, 3}, {9, 2}}

    i2 : degrees M

    o2 = {{11, 0}, {0, 11}, {1, 10}, {4, 7}, {8, 3}, {9, 2}}

    o2 : List

## Ways to use this method:

- degrees(MonomialAlgebra) -- Generators of the degree monoid

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MonomialAlgebras.m2:1313:0.